#include <bits/stdc++.h>
using namespace std;
int main()
{
    int x,y;
    scanf("%i%i",&x,&y);
    int a[100]={0},b[100]={0},ct=1,n,m;
    while(x>0)
	{
		a[ct]=x%10;
		x/=10;
		ct++;
	}
	n=ct-1;
	ct=1;
	while(y>0)
	{
		b[ct]=y%10;
		y/=10;
		ct++;
	}
	m=ct-1;
	/*for(int i=1;i<=n;i++)
	{
		printf("%i",a[i]);
	}
	printf("\n");
	for(int i=1;i<=m;i++)
	{
		printf("%i",b[i]);
	}
	printf("\n");*/
	vector<int>res;
	if(n<=m)
	{
		for(int i=1;i<=n;i++)
		{
			if(a[i]!=b[i])
			{
				res.push_back(max(a[i],b[i]));
			}
			else if(a[i]==b[i])
			{
				res.push_back(a[i]);
				res.push_back(a[i]);
			}
		}
		for(int i=n+1;i<=m;i++)
		{
			res.push_back(b[i]);
		}
	}
	else
	{
		for(int i=1;i<=m;i++)
		{
			if(a[i]!=b[i])
			{
				res.push_back(max(a[i],b[i]));
			}
			else if(a[i]==b[i])
			{
				res.push_back(a[i]);
				res.push_back(a[i]);
			}
		}
		for(int i=m+1;i<=n;i++)
		{
			res.push_back(a[i]);
		}
	}
	reverse(res.begin(),res.end());
	for(int i=0;i<res.size();i++)
	{
		printf("%i",res[i]);
	}
    return 0;
}